## boost1.74 1.74.0+ds1

=== CMakeLists.txt ===
# Copyright 2019 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(Boost VERSION 1.74.0 LANGUAGES CXX)

set(BOOST_SUPERPROJECT_VERSION ${PROJECT_VERSION})
set(BOOST_SUPERPROJECT_SOURCE_DIR ${PROJECT_SOURCE_DIR})

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/tools/cmake/include)

include(BoostRoot)

=== libs/core/CMakeLists.txt ===
# Copyright 2018, 2019 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(boost_core VERSION "${BOOST_SUPERPROJECT_VERSION}" LANGUAGES CXX)

add_library(boost_core INTERFACE)
add_library(Boost::core ALIAS boost_core)

target_include_directories(boost_core INTERFACE include)

target_link_libraries(boost_core
  INTERFACE
    Boost::assert
    Boost::config
)

if(BOOST_SUPERPROJECT_VERSION)

  include(BoostInstall)
  boost_install(TARGETS boost_core HEADER_DIRECTORY include/)

endif()

if(BUILD_TESTING)

  add_subdirectory(test)

endif()

=== libs/nowide/CMakeLists.txt ===
# Copyright 2019 - 2020 Alexander Grund
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE or copy at http://boost.org/LICENSE_1_0.txt)

# Builds the libraries for Boost.Nowide
#
# Options:
# Boost_NOWIDE_INSTALL
# Boost_NOWIDE_WERROR
# BUILD_TESTING
#
# Created target: Boost::nowide
#
# When not using CMake to link against the shared library on windows define -DBOOST_NOWIDE_DYN_LINK

cmake_minimum_required(VERSION 3.9)
# Version number starts at 10 to avoid conflicts with Boost version
set(_version 11.0.0)
if(BOOST_SUPERPROJECT_SOURCE_DIR)
  set(_version ${BOOST_SUPERPROJECT_VERSION})
endif()
project(boost_nowide VERSION ${_version} LANGUAGES CXX)

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  # Make sure all binarys (especially exe/dll) are in one directory for tests to work
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

include(BoostAddOptions)
include(BoostAddWarnings)
include(CheckCXXSourceCompiles)
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  include(CTest)
endif()

file(READ ${CMAKE_CURRENT_SOURCE_DIR}/test/check_lfs_support.cpp lfsSource)
check_cxx_source_compiles("${lfsSource}" BOOST_NOWIDE_HAS_LFS)

# Using glob here is ok as it is only for headers
file(GLOB_RECURSE headers include/*.hpp)
add_library(boost_nowide src/cstdio.cpp src/cstdlib.cpp src/filebuf.cpp src/iostream.cpp src/stat.cpp ${headers})
add_library(Boost::nowide ALIAS boost_nowide)
set_target_properties(boost_nowide PROPERTIES
    CXX_VISIBILITY_PRESET hidden
    VISIBILITY_INLINES_HIDDEN ON
    VERSION ${PROJECT_VERSION}
    EXPORT_NAME nowide
)
if(BUILD_SHARED_LIBS)
  target_compile_definitions(boost_nowide PUBLIC BOOST_NOWIDE_DYN_LINK)
endif()
if(NOT BOOST_NOWIDE_HAS_LFS)
  target_compile_definitions(boost_nowide PRIVATE BOOST_NOWIDE_NO_LFS)
endif()
target_compile_definitions(boost_nowide PUBLIC BOOST_NOWIDE_NO_LIB)
target_include_directories(boost_nowide PUBLIC include)
boost_add_warnings(boost_nowide pedantic ${Boost_NOWIDE_WERROR})
target_compile_features(boost_nowide PUBLIC cxx_std_11)

if(BOOST_SUPERPROJECT_SOURCE_DIR)
  target_link_libraries(boost_nowide PUBLIC Boost::config)
else()
  find_package(Boost 1.56 REQUIRED)
  target_link_libraries(boost_nowide PUBLIC Boost::boost)
endif()

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

if(Boost_NOWIDE_INSTALL)
  include(InstallTargets)
  install_targets(TARGETS boost_nowide NAMESPACE Boost CONFIG_FILE ${PROJECT_SOURCE_DIR}/Config.cmake.in)
endif()

=== libs/regex/CMakeLists.txt ===
# Copyright 2018-2019 Mike Dev
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at https://www.boost.org/LICENSE_1_0.txt
#
# NOTE: CMake support for Boost.Regex is currently experimental at best
#       and the interface is likely to change in the future


##### How-To:
#
# If you have a cmake project that wants to use and compile
# boost_regex, as part of a single build system run, do the following:
# 1) clone the boost project and all its sub-projects:
#
#   git clone --branch develop --depth 1 --recursive --shallow-submodules https://github.com/boostorg/boost.git boost-root
#
# 2) add to your cmake script:
#
#   add_subdirectory( <path-to-boost-root> [<build-dir-for-boost-libs>])
#   target_link_libraries( <my-exec> PUBLIC Boost::regex)
#
# 3) run your cmake build as usual
#
# ## Explanation:
#
# Currently this file does not work standalone. It is expected to be
# invoked from a parent script via add_subdirectory. That parent script
# is responsible for providing targets for direct and indirect dependencies,
# such as Boost::assert,  Boost::concept_check, e.g. by also adding those
# libraries via add_submodule (order doesn't matter).
# The parent script can be your own cmake script, but it is easier to just
# use add the CMakeLists in the root of the boost super project, which
# will in turn add all boost libraries usable with the add_subdirectory
# Workflow.
#
# Note: You don't need to actually clone all boost libraries. E.g. look
# into the travis ci file to see on which libraries boost_regex actually
# depends or use boostdep https://github.com/boostorg/boostdep


##### Current Limitations:
#
# - Doesn't compile or run tests
#

cmake_minimum_required( VERSION 3.5...3.16 )
project( boost_regex VERSION "${BOOST_SUPERPROJECT_VERSION}" LANGUAGES CXX )

option( BOOST_REGEX_INCLUDE_EXAMPLES "Also build (some) boost regex examples" OFF )
option( BOOST_REGEX_USE_ICU "Enable ICU support in boost regex" OFF )

file( GLOB BOOST_REGEX_SRC ./src/*.cpp )

add_library( boost_regex ${BOOST_REGEX_SRC} )
add_library( Boost::regex ALIAS boost_regex )

target_include_directories( boost_regex PUBLIC include )

target_compile_definitions( boost_regex
    PUBLIC
        # No need for autolink
        BOOST_REGEX_NO_LIB
        $<$<STREQUAL:$<TARGET_PROPERTY:boost_regex,TYPE>,SHARED_LIBRARY>:BOOST_REGEX_DYN_LINK=1>
        $<$<STREQUAL:$<TARGET_PROPERTY:boost_regex,TYPE>,STATIC_LIBRARY>:BOOST_REGEX_STATIC_LINK=1>
)

# Specify dependencies (including header-only libraries)
target_link_libraries( boost_regex
    PUBLIC
        Boost::assert
        Boost::concept_check
        Boost::config
        Boost::container_hash
        Boost::core
        Boost::integer
        Boost::iterator
        Boost::mpl
        Boost::predef
        Boost::smart_ptr
        Boost::static_assert
        Boost::throw_exception
        Boost::type_traits
)

if( BOOST_REGEX_USE_ICU )
    # ICU Targets could be provided by parent project,
    # if not, look for them ourselves
    if( NOT TARGET ICU::dt )
        # components need to be listed explicitly
        find_package( ICU COMPONENTS dt in uc REQUIRED )
    endif()

    target_link_libraries( boost_regex
        PRIVATE
            ICU::dt ICU::in ICU::uc
    )
    target_compile_definitions( boost_regex PRIVATE BOOST_HAS_ICU=1 )
endif()

if( BOOST_REGEX_INCLUDE_EXAMPLES )
    add_subdirectory( example/snippets )
endif()

=== libs/variant2/CMakeLists.txt ===
# Copyright 2018, 2019 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# http://www.boost.org/LICENSE_1_0.txt

cmake_minimum_required(VERSION 3.5...3.16)

project(boost_variant2 VERSION "${BOOST_SUPERPROJECT_VERSION}" LANGUAGES CXX)

add_library(boost_variant2 INTERFACE)
add_library(Boost::variant2 ALIAS boost_variant2)

target_include_directories(boost_variant2 INTERFACE include)

target_link_libraries(boost_variant2
  INTERFACE
    Boost::config
    Boost::mp11
)

if(BUILD_TESTING)

  add_subdirectory(test)

endif()

=== libs/gil/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
HTMLDIR	      = html

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(HTMLDIR)
	@echo
	@echo "Build finished. The HTML pages are in $(HTMLDIR)."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BoostNumPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BoostNumPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BoostNumPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BoostNumPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== libs/move/test/CMakeLists.txt ===
# Copyright 2018, 2019 Peter Dimov
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

include(BoostTest OPTIONAL RESULT_VARIABLE HAVE_BOOST_TEST)

if(NOT HAVE_BOOST_TEST)
  return()
endif()

file(GLOB tests RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

set(BOOST_TEST_LINK_LIBRARIES Boost::move Boost::config Boost::container Boost::core Boost::static_assert Boost::timer)

foreach(test IN LISTS tests)

  boost_test(SOURCES ${test})

endforeach()

=== libs/nowide/test/CMakeLists.txt ===
# Copyright 2019 - 2020 Alexander Grund
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE or copy at http://boost.org/LICENSE_1_0.txt)

include(CheckCXXCompilerFlag)
check_cxx_compiler_flag(-Wsuggest-override _BOOST_NOWIDE_SUGGEST_OVERRIDE_SUPPORTED)

function(boost_nowide_add_test name)
  cmake_parse_arguments(PARSE_ARGV 1 ARG "COMPILE_ONLY" "SRC" "LIBRARIES;DEFINITIONS;ARGS")
  if(NOT ARG_SRC)
    set(ARG_SRC ${name}.cpp)
  endif()
  set(name ${PROJECT_NAME}-${name})
  
  add_executable(${name} ${ARG_SRC})
  target_link_libraries(${name} PRIVATE Boost::nowide ${ARG_LIBRARIES})
  boost_add_warnings(${name} pedantic ${Boost_NOWIDE_WERROR})
  if(_BOOST_NOWIDE_SUGGEST_OVERRIDE_SUPPORTED)
    target_compile_options(${name} PRIVATE -Wsuggest-override -Wno-error=suggest-override)
  endif()
  target_compile_definitions(${name} PRIVATE BOOST_ALL_NO_LIB ${ARG_DEFINITIONS})
  if(NOT ARG_COMPILE_ONLY)
    add_test(NAME ${name} COMMAND ${name} ${ARG_ARGS})
  endif()
endfunction()

boost_nowide_add_test(test_codecvt)
boost_nowide_add_test(test_convert)
boost_nowide_add_test(test_env)
boost_nowide_add_test(test_env_win SRC test_env.cpp DEFINITIONS BOOST_NOWIDE_TEST_INCLUDE_WINDOWS)
boost_nowide_add_test(test_fstream)
boost_nowide_add_test(test_fstream_cxx11)
boost_nowide_add_test(test_iostream)
if(MSVC AND CMAKE_VERSION VERSION_GREATER_EQUAL 3.13)
  set_target_properties(${PROJECT_NAME}-test_iostream PROPERTIES VS_DEBUGGER_COMMAND_ARGUMENTS -i)
endif()
boost_nowide_add_test(test_stackstring)
boost_nowide_add_test(test_stat)
boost_nowide_add_test(test_stdio)
boost_nowide_add_test(test_system_n SRC test_system.cpp DEFINITIONS BOOST_NOWIDE_TEST_USE_NARROW=1)
if(WIN32)
  boost_nowide_add_test(test_system_w SRC test_system.cpp DEFINITIONS BOOST_NOWIDE_TEST_USE_NARROW=0)
else()
  boost_nowide_add_test(test_internal_fstream SRC test_fstream.cpp DEFINITIONS BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT=1)
  boost_nowide_add_test(test_internal_fstream_cxx11 SRC test_fstream_cxx11.cpp DEFINITIONS BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT=1)
endif()

if(NOT BOOST_SUPERPROJECT_SOURCE_DIR)
  # Default boost libs are static on windows and dynamic on linux
  if(WIN32 AND NOT DEFINED Boost_USE_STATIC_LIBS)
    set(Boost_USE_STATIC_LIBS ON)
  endif()
  find_package(Boost 1.56 REQUIRED COMPONENTS filesystem system)
endif()
boost_nowide_add_test(test_fs LIBRARIES Boost::filesystem)
boost_nowide_add_test(benchmark_fstream COMPILE_ONLY DEFINITIONS BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT=1)

=== libs/static_string/test/CMakeLists.txt ===
#
# Copyright (c) 2016-2017 Vinnie Falco (vinnie dot falco at gmail dot com)
#
# Distributed under the Boost Software License, Version 1.0. (See accompanying
# file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
#
# Official repository: https://github.com/boostorg/static_string
#

GroupSources (include/boost/static_string static_string)
GroupSources (test "/")

add_executable (tests
    ${PROJECT_FILES}
    Jamfile
    static_string.cpp
)

target_link_libraries(tests
    )

set_property(TARGET tests PROPERTY FOLDER "tests")

=== libs/stl_interfaces/doc/CMakeLists.txt ===
# Copyright (C) 2019 T. Zachary Laine
#
# Distributed under the Boost Software License, Version 1.0. (See
# accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
include_directories(${CMAKE_HOME_DIRECTORY})

macro(add_snippets name)
    add_executable(${name} ${name}.cpp)
    target_link_libraries(${name} yap)
    if (clang_on_linux)
        target_link_libraries(${name} c++)
    endif ()
endmacro()

=== libs/gil/test/extension/CMakeLists.txt ===
#
# Copyright (c) 2019 Mateusz Loskot <mateusz at loskot dot net>
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)
#
if(BOOST_GIL_ENABLE_EXT_DYNAMIC_IMAGE)
  add_subdirectory(dynamic_image)
endif()

if(BOOST_GIL_ENABLE_EXT_NUMERIC)
  add_subdirectory(numeric)
endif()

if(BOOST_GIL_ENABLE_EXT_TOOLBOX)
  add_subdirectory(toolbox)
endif()

if(BOOST_GIL_ENABLE_EXT_IO)
  add_subdirectory(io)
endif()

=== libs/multiprecision/test/coverage/Makefile ===
# copyright John Maddock 2012
# Distributed under the Boost Software License, Version 1.0. 
# (See accompanying file LICENSE_1_0.txt or copy at 
# http://www.boost.org/LICENSE_1_0.txt.


SOURCES=\
../../../../boost/multiprecision/mpfr.hpp\
../../../../boost/multiprecision/tommath.hpp\
../../../../boost/multiprecision/number.hpp\
../../../../boost/multiprecision/cpp_dec_float.hpp\
../../../../boost/multiprecision/gmp.hpp\
../../../../boost/multiprecision/random.hpp\
../../../../boost/multiprecision/cpp_int.hpp\
../../../../boost/multiprecision/miller_rabin.hpp\
../../../../boost/multiprecision/rational_adaptor.hpp\
../../../../boost/multiprecision/concepts/mp_number_archetypes.hpp\
../../../../boost/multiprecision/detail/big_lanczos.hpp\
../../../../boost/multiprecision/detail/digits.hpp\
../../../../boost/multiprecision/detail/no_et_ops.hpp\
../../../../boost/multiprecision/detail/number_base.hpp\
../../../../boost/multiprecision/detail/generic_interconvert.hpp\
../../../../boost/multiprecision/detail/number_compare.hpp\
../../../../boost/multiprecision/detail/default_ops.hpp\
../../../../boost/multiprecision/detail/integer_ops.hpp\
../../../../boost/multiprecision/detail/functions/constants.hpp\
../../../../boost/multiprecision/detail/functions/pow.hpp\
../../../../boost/multiprecision/detail/functions/trig.hpp\
../../../../boost/multiprecision/traits/explicit_conversion.hpp\
../../../../boost/multiprecision/traits/is_restricted_conversion.hpp

coverage : run
	gcov test_arithmetic_cpp_int_1 test_arithmetic_cpp_int_2 test_arithmetic_cpp_int_3 \
	gcov test_arithmetic_cpp_int_4 test_arithmetic_cpp_int_5 test_arithmetic_cpp_int_6 \
	gcov test_arithmetic_cpp_int_7 test_arithmetic_cpp_int_8 test_arithmetic_cpp_int_9 \
	gcov test_arithmetic_cpp_int_10 test_arithmetic_cpp_int_11 test_arithmetic_cpp_int_12 \
	gcov test_arithmetic_cpp_int_13 test_arithmetic_cpp_int_14 test_arithmetic_cpp_int_15 \
	gcov test_arithmetic_cpp_int_16 test_arithmetic_cpp_int_17 test_arithmetic_cpp_int_18 \
	test_arithmetic_cpp_dec_float_1 test_arithmetic_cpp_dec_float_2 test_arithmetic_cpp_dec_float_3\
   test_arithmetic_concept test_arithmetic_mpz test_arithmetic_mpf \
	test_arithmetic_mpf_50 test_arithmetic_mpq test_arithmetic_mpfr test_arithmetic_mpfr_50 test_cpp_int \
	test_int_io test_float_io test_rational_io test_gmp_conversions test_mpfr_conversions test_cpp_int_conv

test_arithmetic_cpp_int_1.o : ../test_arithmetic_cpp_int_1.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_1 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_1.o -c ../test_arithmetic_cpp_int_1.cpp

test_arithmetic_cpp_int_1 : test_arithmetic_cpp_int_1.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_1 test_arithmetic_cpp_int_1.o

test_arithmetic_cpp_int_2.o : ../test_arithmetic_cpp_int_2.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_2 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_2.o -c ../test_arithmetic_cpp_int_2.cpp

test_arithmetic_cpp_int_2 : test_arithmetic_cpp_int_2.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_2 test_arithmetic_cpp_int_2.o

test_arithmetic_cpp_int_3.o : ../test_arithmetic_cpp_int_3.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_3.o -c ../test_arithmetic_cpp_int_3.cpp

test_arithmetic_cpp_int_3 : test_arithmetic_cpp_int_3.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_3 test_arithmetic_cpp_int_3.o

test_arithmetic_cpp_int_4.o : ../test_arithmetic_cpp_int_4.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_4.o -c ../test_arithmetic_cpp_int_4.cpp

test_arithmetic_cpp_int_4 : test_arithmetic_cpp_int_4.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_4 test_arithmetic_cpp_int_4.o

test_arithmetic_cpp_int_5.o : ../test_arithmetic_cpp_int_5.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_5.o -c ../test_arithmetic_cpp_int_5.cpp

test_arithmetic_cpp_int_5 : test_arithmetic_cpp_int_5.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_5 test_arithmetic_cpp_int_5.o

test_arithmetic_cpp_int_6.o : ../test_arithmetic_cpp_int_6.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_6.o -c ../test_arithmetic_cpp_int_6.cpp

test_arithmetic_cpp_int_6 : test_arithmetic_cpp_int_6.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_6 test_arithmetic_cpp_int_6.o

test_arithmetic_cpp_int_7.o : ../test_arithmetic_cpp_int_7.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_7.o -c ../test_arithmetic_cpp_int_7.cpp

test_arithmetic_cpp_int_7 : test_arithmetic_cpp_int_7.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_7 test_arithmetic_cpp_int_7.o

test_arithmetic_cpp_int_8.o : ../test_arithmetic_cpp_int_8.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_8.o -c ../test_arithmetic_cpp_int_8.cpp

test_arithmetic_cpp_int_8 : test_arithmetic_cpp_int_8.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_8 test_arithmetic_cpp_int_8.o

test_arithmetic_cpp_int_9.o : ../test_arithmetic_cpp_int_9.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_9.o -c ../test_arithmetic_cpp_int_9.cpp

test_arithmetic_cpp_int_9 : test_arithmetic_cpp_int_9.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_9 test_arithmetic_cpp_int_9.o

test_arithmetic_cpp_int_10.o : ../test_arithmetic_cpp_int_10.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_10.o -c ../test_arithmetic_cpp_int_10.cpp

test_arithmetic_cpp_int_10 : test_arithmetic_cpp_int_10.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_10 test_arithmetic_cpp_int_10.o

test_arithmetic_cpp_int_11.o : ../test_arithmetic_cpp_int_11.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_11.o -c ../test_arithmetic_cpp_int_12.cpp

test_arithmetic_cpp_int_11 : test_arithmetic_cpp_int_11.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_11 test_arithmetic_cpp_int_11.o

test_arithmetic_cpp_int_12.o : ../test_arithmetic_cpp_int_12.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_12.o -c ../test_arithmetic_cpp_int_12.cpp

test_arithmetic_cpp_int_12 : test_arithmetic_cpp_int_12.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_12 test_arithmetic_cpp_int_12.o

test_arithmetic_cpp_int_13.o : ../test_arithmetic_cpp_int_13.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_13.o -c ../test_arithmetic_cpp_int_13.cpp

test_arithmetic_cpp_int_13 : test_arithmetic_cpp_int_13.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_13 test_arithmetic_cpp_int_13.o

test_arithmetic_cpp_int_14.o : ../test_arithmetic_cpp_int_14.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_14.o -c ../test_arithmetic_cpp_int_14.cpp

test_arithmetic_cpp_int_14 : test_arithmetic_cpp_int_14.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_14 test_arithmetic_cpp_int_14.o

test_arithmetic_cpp_int_15.o : ../test_arithmetic_cpp_int_15.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_15.o -c ../test_arithmetic_cpp_int_15.cpp

test_arithmetic_cpp_int_15 : test_arithmetic_cpp_int_15.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_15 test_arithmetic_cpp_int_15.o

test_arithmetic_cpp_int_16.o : ../test_arithmetic_cpp_int_16.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_16.o -c ../test_arithmetic_cpp_int_16.cpp

test_arithmetic_cpp_int_16 : test_arithmetic_cpp_int_16.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_16 test_arithmetic_cpp_int_16.o

test_arithmetic_cpp_int_17.o : ../test_arithmetic_cpp_int_17.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_17.o -c ../test_arithmetic_cpp_int_17.cpp

test_arithmetic_cpp_int_17 : test_arithmetic_cpp_int_17.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_17 test_arithmetic_cpp_int_17.o

test_arithmetic_cpp_int_18.o : ../test_arithmetic_cpp_int_18.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_INT_3 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_int_18.o -c ../test_arithmetic_cpp_int_18.cpp

test_arithmetic_cpp_int_18 : test_arithmetic_cpp_int_18.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_int_18 test_arithmetic_cpp_int_18.o

test_arithmetic_cpp_dec_float_1.o : ../test_arithmetic_cpp_dec_float_1.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_DEC_FLOAT --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_dec_float_1.o -c ../test_arithmetic_cpp_dec_float_1.cpp

test_arithmetic_cpp_dec_float_1 : test_arithmetic_cpp_dec_float_1.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_dec_float_1 test_arithmetic_cpp_dec_float_1.o

test_arithmetic_cpp_dec_float_2.o : ../test_arithmetic_cpp_dec_float_2.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_DEC_FLOAT --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_dec_float_2.o -c ../test_arithmetic_cpp_dec_float_2.cpp

test_arithmetic_cpp_dec_float_2 : test_arithmetic_cpp_dec_float_2.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_dec_float_2 test_arithmetic_cpp_dec_float_2.o

test_arithmetic_cpp_dec_float_3.o : ../test_arithmetic_cpp_dec_float_3.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_CPP_DEC_FLOAT --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_cpp_dec_float_3.o -c ../test_arithmetic_cpp_dec_float_3.cpp

test_arithmetic_cpp_dec_float_3 : test_arithmetic_cpp_dec_float_3.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_cpp_dec_float_3 test_arithmetic_cpp_dec_float_3.o

test_arithmetic_concept.o : ../test_arithmetic_backend_concept.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_BACKEND --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_concept.o -c ../test_arithmetic_backend_concept.cpp

test_arithmetic_concept : test_arithmetic_concept.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_concept test_arithmetic_concept.o

test_arithmetic_mpz.o : ../test_arithmetic_mpz.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_MPZ --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_mpz.o -c ../test_arithmetic_mpz.cpp

test_arithmetic_mpz : test_arithmetic_mpz.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_mpz test_arithmetic_mpz.o -lgmp

test_arithmetic_mpf.o : ../test_arithmetic_mpf.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_MPF --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_mpf.o -c ../test_arithmetic_mpf.cpp

test_arithmetic_mpf : test_arithmetic_mpf.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_mpf test_arithmetic_mpf.o -lgmp

test_arithmetic_mpf_50.o : ../test_arithmetic_mpf_50.cpp $(SOURCES)
	g++ -std=gnu++0x -DTEST_MPF_50 --coverage -g -I../../../.. -I../../../../../../trunk -o test_arithmetic_mpf_50.o -c ../test_arithmetic_mpf_50.cpp

test_arithmetic_mpf_50 : test_arithmetic_mpf_50.o
	g++ -std=gnu++0x --coverage -o test_arithmetic_mpf_50 test_arithmetic_mpf_50.o -lgmp

test_arithmetic_mpq.o : ../test_arithmetic_mpq.cpp $(SOURCES)

=== debian/changelog ===
boost1.74 (1.74.0+ds1-23.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:22:42 +0000

boost1.74 (1.74.0+ds1-23.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:12:55 +0000

boost1.74 (1.74.0+ds1-23.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable numeric_limits specialization for GCC 14
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:28:22 +0100

boost1.74 (1.74.0+ds1-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061979

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 04:05:36 +0000

boost1.74 (1.74.0+ds1-23ubuntu4) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:04:46 +0100

boost1.74 (1.74.0+ds1-23ubuntu3) noble; urgency=medium

  * Disable numeric_limits specialization for GCC 14

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Dec 2023 07:59:35 +0100

boost1.74 (1.74.0+ds1-23ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 16:27:22 +0000

boost1.74 (1.74.0+ds1-23ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:44:33 +0200

boost1.74 (1.74.0+ds1-23) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * [99166b3] Move export of buildflags above

  [ Anton Gladky ]
  * [8af0b84] Fix FTBFS during the doc generation. (Closes: #1052887)

 -- Anton Gladky <gladk@debian.org>  Fri, 06 Oct 2023 08:15:55 +0200

boost1.74 (1.74.0+ds1-22ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 10:40:43 +0200

boost1.74 (1.74.0+ds1-22) unstable; urgency=medium

  * Team upload
  * [a0999e5] debian/patches/30.patch:
    - cherry-pick upstream patch to fix build failure of numeric apps
      on ppc64el (Closes: #1040524)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 10:19:40 +0200

boost1.74 (1.74.0+ds1-21.2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:55 +0200

boost1.74 (1.74.0+ds1-21.2) unstable; urgency=medium

  [ Steve Robbins ]
  * [da75f0a] Remove myself from uploaders.

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * [45b1ef6] Fixup test re-enable from Graham
  * [da75f0a] Move cmake_mimimum_required from 3.0 to 3.5
    due to cmake 3.27 issuing new warning (Closes: #1040737)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Jul 2023 17:53:02 +0200

boost1.74 (1.74.0+ds1-21.1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Drop unused packages on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jun 2023 09:47:10 +0200

boost1.74 (1.74.0+ds1-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [4cb74a3] Add patch to fix autopkgtests with newer cmake (Closes:
    #1036840)
  * [de6d9b2] Add upstream patch to workaround a qemu issue that prevents
    the package from building successfully on m68k and sh4 (Closes: #1016904)
  * [ec17e0f] d/p/0001-Remove-timestamps-and-dates-from-documentation.patch:
    Add patch to make documentation build reproducible (Closes: #1034740)
  * [a8a6524] Add upstream patch to fix awaitable build failure with newer
    gcc versions (Closes: #1036545)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jun 2023 08:53:45 +0200

boost1.74 (1.74.0+ds1-21) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [f41f9a1] libboost-thread1.74.0: Add Breaks: libboost-regex1.74.0-icu67 for
              smoother upgrades from bullseye. (Closes: #1036070)

 -- Anton Gladky <gladk@debian.org>  Fri, 19 May 2023 09:24:56 +0200

boost1.74 (1.74.0+ds1-20) unstable; urgency=medium

  * [dc6fadf] Better handling of the upstream version number.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 18:20:12 +0100

boost1.74 (1.74.0+ds1-19) unstable; urgency=medium

  * [fbde9b9], [6dec554] Use versioned deps on -dev packages in d/tests.
    (Closes: #1028391)
  * Drop many .travis.yml files from the source tarball.

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Jan 2023 07:31:54 +0100

boost1.74 (1.74.0-18.1ubuntu4) mantic; urgency=medium

  * Adapt tests for newer cmake version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jun 2023 15:30:24 +0200

boost1.74 (1.74.0-18.1ubuntu3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 10:25:09 -0500

boost1.74 (1.74.0-18.1ubuntu2) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:20:50 -0500

boost1.74 (1.74.0-18.1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop unused packages on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 23:45:00 +0000

boost1.74 (1.74.0-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update PEP-3149 patch to add support for Python 3.11 (which dropped the SO
    sysconfig variable). (Closes: #1024252)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 21:06:20 -0400

boost1.74 (1.74.0-18ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop unused packages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2022 08:25:13 +0100



=== debian/control ===
Source: boost1.74
Homepage: https://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <team+boost@tracker.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>,
 Anton Gladky <gladk@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), dpkg-dev (>= 1.16.1~), dctrl-tools, chrpath,
 zlib1g-dev, libbz2-dev, liblzma-dev, libzstd-dev, libicu-dev (>= 63.1), mpi-default-dev [!i386],
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen,
 docbook-xsl, docbook-xml, texlive-latex-base, ghostscript,
 dh-python,
 g++ (>= 4:5-0),
 python3, python3-all-dev (>= 3.1), python3-numpy [!i386]
Build-Depends-Indep: graphviz
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: https://salsa.debian.org/debian/boost
Vcs-Git: https://salsa.debian.org/debian/boost.git
Standards-Version: 4.5.1

Package: libboost1.74-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-${gxx:major}-dev
Suggests: libboost1.74-doc,
 libboost-atomic1.74-dev,
 libboost-chrono1.74-dev,
 libboost-container1.74-dev [!i386],
 libboost-context1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-contract1.74-dev [!i386],
 libboost-coroutine1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-date-time1.74-dev,
 libboost-exception1.74-dev [!i386],
 libboost-fiber1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-filesystem1.74-dev,
 libboost-graph1.74-dev [!i386],
 libboost-graph-parallel1.74-dev [!i386],
 libboost-iostreams1.74-dev,
 libboost-locale1.74-dev [!i386],
 libboost-log1.74-dev [!i386],
 libboost-math1.74-dev [!i386],
 libboost-mpi1.74-dev [!i386],
 libboost-mpi-python1.74-dev [!i386],
 libboost-numpy1.74-dev [!i386],
 libboost-program-options1.74-dev [!i386],
 libboost-python1.74-dev [!i386],
 libboost-random1.74-dev [!i386],
 libboost-regex1.74-dev,
 libboost-serialization1.74-dev,
 libboost-stacktrace1.74-dev [!i386],
 libboost-system1.74-dev,
 libboost-test1.74-dev,
 libboost-thread1.74-dev,
 libboost-timer1.74-dev [!i386],
 libboost-type-erasure1.74-dev [!i386],
 libboost-wave1.74-dev [!i386],
 libboost1.74-tools-dev [!i386],
 libmpfrc++-dev, libntl-dev,
 libboost-nowide1.74-dev [!i386]
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev, libboost1.54-dev, libboost1.55-dev, libboost1.57-dev, libboost1.58-dev, libboost1.60-dev, libboost1.61-dev, libboost1.62-dev, libboost1.63-dev, libboost1.65-dev, libboost1.67-dev, libboost1.70-dev, libboost1.71-dev
Breaks: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
Replaces: libleatherman-dev (<< 1.12.1+dfsg-1.1~)
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.

Package: libboost1.74-tools-dev
Architecture: amd64 arm64 armhf s390x ppc64el riscv64
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev, libboost1.54-tools-dev, libboost1.55-tools-dev, libboost1.57-tools-dev, libboost1.58-tools-dev, libboost1.60-tools-dev, libboost1.61-tools-dev, libboost1.62-tools-dev, libboost1.63-tools-dev, libboost1.65-tools-dev, libboost1.67-tools-dev, libboost1.70-tools-dev, libboost1.71-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.74-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.74-dev,
 libboost1.74-tools-dev [!i386],
 libboost-atomic1.74-dev,
 libboost-chrono1.74-dev,
 libboost-container1.74-dev [!i386],
 libboost-context1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-coroutine1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-date-time1.74-dev,
 libboost-exception1.74-dev [!i386],
 libboost-fiber1.74-dev [hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libboost-filesystem1.74-dev,
 libboost-graph1.74-dev [!i386],
 libboost-graph-parallel1.74-dev [!i386],
 libboost-iostreams1.74-dev,
 libboost-locale1.74-dev [!i386],
 libboost-log1.74-dev [!i386],
 libboost-math1.74-dev [!i386],
 libboost-mpi1.74-dev [!i386],
 libboost-mpi-python1.74-dev [!i386],
 libboost-numpy1.74-dev [!i386],
 libboost-program-options1.74-dev [!i386],
 libboost-python1.74-dev [!i386],
 libboost-random1.74-dev [!i386],
 libboost-regex1.74-dev,
 libboost-serialization1.74-dev,
 libboost-stacktrace1.74-dev [!i386],
 libboost-system1.74-dev,
 libboost-test1.74-dev,
 libboost-thread1.74-dev,
 libboost-timer1.74-dev [!i386],
 libboost-type-erasure1.74-dev [!i386],
 libboost-wave1.74-dev [!i386],
 libboost-nowide1.74-dev [!i386]
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This metapackage provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.74-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-mathjax
Suggests: libboost1.74-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc, libboost1.54-doc, libboost1.55-doc, libboost1.57-doc, libboost1.58-doc, libboost1.60-doc, libboost1.61-doc, libboost1.62-doc, libboost1.63-doc, libboost1.65-doc, libboost1.67-doc, libboost1.70-doc, libboost1.71-doc
Description: Boost.org libraries documentation placeholder
 This package originally provided documentation, but has since fallen
 into disrepair and presently provides no documentation.  Please
 use documentation at www.boost.org.

Package: libboost-atomic1.74.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.74-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.74-dev (= ${binary:Version}),
 libboost-atomic1.74.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev, libboost-atomic1.54-dev, libboost-atomic1.55-dev, libboost-atomic1.57-dev, libboost-atomic1.58-dev, libboost-atomic1.60-dev, libboost-atomic1.61-dev, libboost-atomic1.62-dev, libboost-atomic1.63-dev, libboost-atomic1.65-dev, libboost-atomic1.67-dev, libboost-atomic1.70-dev, libboost-atomic1.71-dev

Package: libboost-chrono1.74.0t64
Provides: ${t64:Provides}
Replaces: libboost-chrono1.74.0
Breaks: libboost-chrono1.74.0 (<< ${source:Version})
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifeq ($(DEB_BUILD_ARCH), i386)
boost_libs := atomic chrono date-time filesystem iostreams \
              regex serialization system test thread
JAM_WITHOUT += --without-container --without-contract --without-exception \
               --without-graph --without-graph_parallel \
               --without-locale --without-log --without-math --without-mpi --without-nowide \
               --without-program_options --without-random \
               --without-stacktrace --without-timer --without-type_erasure \
               --without-wave
else
# Boost libraries for which we want separate packages
# context is conditionally compiled because it is not supported yet on several architectures
# coroutine, and fiber depend on context, so they are also conditionally compiled
boost_libs := atomic chrono container contract date-time exception filesystem	\
              graph graph-parallel iostreams locale log math mpi	\
              mpi-python nowide program-options python random regex	\
              serialization stacktrace system test thread timer \
              type-erasure wave
endif

# these are special cases, where /usr/lib name differs from Boost library name
boost_lib_log := log log_setup
boost_lib_math := math_c99 math_c99f math_tr1 math_tr1f
boost_lib_math_long_double := math_c99l math_tr1l
boost_lib_serialization := serialization wserialization
ifeq ($(DEB_BUILD_ARCH), m68k)
# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=962072
boost_lib_stacktrace := stacktrace_noop stacktrace_addr2line stacktrace_basic
else
boost_lib_stacktrace := stacktrace_noop stacktrace_addr2line stacktrace_backtrace stacktrace_basic
endif
boost_lib_test := prg_exec_monitor test_exec_monitor unit_test_framework

pyversions = $(shell py3versions -rv)
pyverids = $(subst .,,$(pyversions))

# These are special cases for suffixes.
boost_suffixes_python := $(pyverids)
boost_suffixes_numpy := $(pyverids)
boost_suffixes_mpi-python := $(pyverids)

# Files that are generated by filtering a template
filtered_files =

# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  JOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

version_full := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
version_upstream := $(shell echo $(version_full) | cut -d'-' -f1 | cut -d '+' -f1)
version_major := $(shell echo $(version_upstream) | cut -d'.' -f1,2)

PKGVERSION = $(version_major)
SOVERSION = $(version_upstream)

icuabi = $(shell apt show libicu-dev 2>/dev/null | sed -n 's/Depends: .*libicu\([0-9]*\) .*/\1/p')
regexicuabi = libboost-regex$(SOVERSION)-icu$(icuabi)

# Function to map Boost component name to set of shared library names
# Input: Boost component name
# Return: shared library names for the given Boost library
boost_lib = $(if $(boost_lib_$(1)), $(boost_lib_$(1)), $(1))

# Function to map Boost component name to set of suffixes for the library
# Input: Boost component name
# Return: suffixes for the given Boost component
boost_suffixes = $(if $(boost_suffixes_$(1)), $(boost_suffixes_$(1)),"")

# Helpers to make basic and decorated library names
# Input: library, suffix
# Return: base library filename for short or full name
mk_base_name = usr/lib/$(DEB_HOST_MULTIARCH)/libboost_$(subst -,_,$(1))$(2)
mk_cmake_name = usr/lib/$(DEB_HOST_MULTIARCH)/cmake/boost_$(subst -,_,$(1))-$(SOVERSION)/

t64_suffix_chrono = t64
# Input: component
# Return: package name for shared library or development
mk_pkg_lib = libboost-$(1)$(SOVERSION)$(t64_suffix_$(1))
mk_pkg_dev = libboost-$(1)$(PKGVERSION)-dev

# Helpers to generate debhelper input filenames.
# Input: component
# Return: prefix to debhelper filenames
mk_deb_lib = debian/$(call mk_pkg_lib,$(1))
mk_deb_dev = debian/$(call mk_pkg_dev,$(1))

# Helpers that update debhelper .install or .links files
# Input: component, library, suffix
# Output: none
mk_so_files = $(shell echo debian/tmp/$(call mk_base_name,$(2),$(3)).so.$(SOVERSION) >> $(call mk_deb_lib,$(1)).install)
mk_a_files = $(shell echo debian/tmp/$(call mk_base_name,$(2),$(3)).a >> $(call mk_deb_dev,$(1)).install)
mk_ln_files = $(shell echo $(call mk_base_name,$(2),$(3)).so.$(SOVERSION) $(call mk_base_name,$(2),$(3)).so >> $(call mk_deb_dev,$(1)).links)
mk_cmake_files = $(shell echo debian/tmp/$(call mk_cmake_name,$(2),$(3)) >> $(call mk_deb_dev,$(1)).install)

# Specify the type of files/links to install.
# Special cases first, then general rule
boost_filetypes_exception = a cmake
boost_filetypes_test_exec_monitor = a cmake
boost_filetypes = $(if $(boost_filetypes_$(1)), $(boost_filetypes_$(1)),a so ln cmake)

# Function that updates debhelper files for a given library
# Input: component, library, suffix
# Output: none
mk_files = $(foreach fn,$(call boost_filetypes,$(2)),$(call mk_$(fn)_files,$(1),$(2),$(3)))

# helpers to make and install lintian override files

# Input: package, override
add_override = echo $(1): $(2) >> debian/$(1).lintian-overrides;

# Input: override
add_dev_override = $(call add_override,libboost$(PKGVERSION)-dev,$(1))
add_doc_override = $(call add_override,libboost$(PKGVERSION)-doc,$(1))

# Input: component, lintian-warning
add_lib_override = $(call add_override,$(call mk_pkg_lib,$(1)),$(2))
add_libdev_override = $(call add_override,$(call mk_pkg_dev,$(1)),$(2))

# Input: package-name-base, versioned-package-name
cp_debhelper = set -e ; for s in doc-base examples postinst prerm README.Debian; do \
	if test -f debian/$(1).$$s; then cp -f debian/$(1).$$s debian/$(2).$$s; fi; done

# Function that updates debhelper files for all libraries shipped.
mk_debhelper_files = \
	$(call add_dev_override,extra-license-file) \
	$(call add_doc_override,extra-license-file) \
	$(foreach l, $(boost_libs), \
		echo "making debhelper files for $(l)..."; \
		$(call add_lib_override,$(l),package-name-doesnt-match-sonames) \
		$(foreach ll, $(call boost_lib,$(l)), \
			$(foreach suf, $(call boost_suffixes,$(l)), \
				$(call mk_files,$(l),$(ll),$(suf)) \
			) \
		) \
	)

TOOLSET_CONFIG = 'using gcc : : : <compileflags>"$(CPPFLAGS)" <cflags>"$(CFLAGS)" <cxxflags>"$(CXXFLAGS) -Wno-unused-local-typedefs" <linkflags>"$(LDFLAGS)" ;'
BUILD_CONTEXT = yes
BUILD_LONG_DOUBLE = yes
BUILD_NUMPY = yes

ifeq ($(DEB_BUILD_ARCH), alpha)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), arm)
BUILD_LONG_DOUBLE = no
else ifeq ($(DEB_BUILD_ARCH), armel)
BUILD_LONG_DOUBLE = no
else ifeq ($(DEB_BUILD_ARCH), armhf)
BUILD_LONG_DOUBLE = no
else ifeq ($(DEB_BUILD_ARCH), arm64)
BUILD_LONG_DOUBLE = no
JAM_OPT += pch=off
else ifeq ($(DEB_BUILD_ARCH), hppa)
BUILD_LONG_DOUBLE = no
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), i386)
ifeq ($(DEB_VENDOR), Ubuntu)
BUILD_NUMPY = no
BUILD_CONTEXT = no
endif
else ifeq ($(DEB_BUILD_ARCH), ia64)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), m68k)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), mips)
BUILD_LONG_DOUBLE = no
else ifeq ($(DEB_BUILD_ARCH), mipsel)
BUILD_LONG_DOUBLE = no
else ifeq ($(DEB_BUILD_ARCH), mips64)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), powerpcspe)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), s390)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), sh4)
BUILD_LONG_DOUBLE = no
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), sparc)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), sparc64)
BUILD_CONTEXT = no
else ifeq ($(DEB_BUILD_ARCH), x32)
BUILD_CONTEXT = no
endif

ifeq ($(BUILD_CONTEXT), yes)
boost_libs += context coroutine fiber
else
JAM_WITHOUT += --without-context --without-coroutine --without-fiber
endif

ifeq ($(BUILD_LONG_DOUBLE), yes)
boost_lib_math += $(boost_lib_math_long_double)
else
JAM_OPT += --disable-long-double
endif

ifeq ($(BUILD_NUMPY), yes)
boost_libs += numpy
endif

exampledir = debian/libboost$(PKGVERSION)-doc/usr/share/doc/libboost$(PKGVERSION)-doc/examples
b2 = $(CURDIR)/b2
bbv2dir = $(CURDIR)/tools/build

=== debian/tests/control ===
Tests: atomic
Depends: libboost-atomic1.74-dev, build-essential, cmake

Tests: chrono
Depends: libboost-chrono1.74-dev, libboost-system1.74-dev, build-essential, cmake

Tests: context
Depends: libboost-context1.74-dev, build-essential, cmake

Tests: container
Depends: libboost-container1.74-dev, libboost-system1.74-dev, build-essential, cmake

Tests: coroutine
Depends: libboost-coroutine1.74-dev, libboost-system1.74-dev, build-essential, cmake

Tests: datetime
Depends: libboost-date-time1.74-dev, build-essential, cmake

Tests: exception
Depends: libboost-exception1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: fiber
Depends: libboost-fiber1.74-dev, build-essential, cmake

Tests: filesystem
Depends: libboost-filesystem1.74-dev, build-essential, cmake

Tests: graph
Depends: libboost-graph1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: graph-parallel
Depends: libboost-graph-parallel1.74-dev, libboost-mpi1.74-dev, libboost-system1.74-dev, mpi-default-dev, build-essential, libgraph-easy-perl, cmake
Restrictions: allow-stderr

Tests: iostreams
Depends: libboost-iostreams1.74-dev, build-essential, cmake

Tests: locale
Depends: libboost-locale1.74-dev, build-essential, cmake

Tests: log
Depends: libboost-log1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: math
Depends: libboost-math1.74-dev, build-essential, cmake

Tests: mpi
Depends: libboost-mpi1.74-dev, mpi-default-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: mpi-python
Depends: libboost-mpi-python1.74-dev, mpi-default-dev, python3-minimal
Restrictions: allow-stderr

Tests: program-options
Depends: libboost-program-options1.74-dev, build-essential, cmake

Tests: python
Depends: libboost-python1.74-dev, python3-minimal, cmake, build-essential, clang
Restrictions: allow-stderr

Tests: random
Depends: libboost-random1.74-dev, build-essential, cmake

Tests: regex
Depends: libboost-regex1.74-dev, build-essential, cmake, html2text

Tests: serialization
Depends: libboost-serialization1.74-dev, libboost-random1.74-dev, build-essential, cmake

Tests: stacktrace
Depends: libboost-stacktrace1.74-dev, libboost-system1.74-dev, build-essential, cmake

Tests: system
Depends: libboost-system1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: test
Depends: libboost-test1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: thread
Depends: libboost-thread1.74-dev, build-essential, cmake
Restrictions: allow-stderr

Tests: timer
Depends: libboost-timer1.74-dev, build-essential, cmake

Tests: type-erasure
Depends: libboost-type-erasure1.74-dev, build-essential, cmake

Tests: wave
Depends: libboost-wave1.74-dev, libboost-thread1.74-dev, build-essential, cmake
